OpenSubdiv: TopologyRefinerFactoryBase Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
TopologyRefinerFactoryBase Class Reference

Private base class of Factories for constructing TopologyRefiners. More...

`#include <topologyRefinerFactory.h>`

Inheritance diagram for TopologyRefinerFactoryBase:

## Protected Types
typedef Vtr::internal::Level::ValidationCallback | TopologyCallback

## Static Protected Member Functions
static bool | prepareComponentTopologySizing (TopologyRefiner &refiner)
static bool | prepareComponentTopologyAssignment (TopologyRefiner &refiner, bool fullValidation, TopologyCallback callback, void const *callbackData)
static bool | prepareComponentTagsAndSharpness (TopologyRefiner &refiner)
static bool | prepareFaceVaryingChannels (TopologyRefiner &refiner)

## Detailed Description

Private base class of Factories for constructing TopologyRefiners.

TopologyRefinerFactoryBase is the base class for subclasses that are intended to construct TopologyRefiners directly from meshes in their native representations. The subclasses are parameterized by the mesh type <class MESH> and are expected to inherit the details related to assembly and validation provided here that are independent of the subclass' mesh type.

Definition at line 30 of file topologyRefinerFactory.h.

## Member Typedef Documentation

## ◆ TopologyCallback

typedef Vtr::internal::Level::ValidationCallback TopologyCallback
| protected

Definition at line 37 of file topologyRefinerFactory.h.

## Member Function Documentation

## ◆ prepareComponentTagsAndSharpness()

bool prepareComponentTagsAndSharpness | ( | TopologyRefiner & | refiner | ) |
| staticprotected

## ◆ prepareComponentTopologyAssignment()

bool prepareComponentTopologyAssignment | ( | TopologyRefiner & | refiner,
|  | bool | fullValidation,
|  | TopologyCallback | callback,
|  | void const * | callbackData )
| staticprotected

## ◆ prepareComponentTopologySizing()

bool prepareComponentTopologySizing | ( | TopologyRefiner & | refiner | ) |
| staticprotected

## ◆ prepareFaceVaryingChannels()

bool prepareFaceVaryingChannels | ( | TopologyRefiner & | refiner | ) |
| staticprotected

The documentation for this class was generated from the following file:

- opensubdiv/far/topologyRefinerFactory.h